
/********************************************************************************
*                                                                     
*       Copyright (C) 2008 Freescale Semiconductor, Inc.              
*       All Rights Reserved								              
*														              
* Filename:   LL64_Demo.h                  
*														              
* Revision:      										              
*														              
* Functions:       LL64 demo code defines
*         
* Description:  
*
* Notes:        
*
*********************************************************************************/
#ifndef LL64_Demo_drv        /*prevent duplicated includes*/
#define LL64_Demo_drv


#define OFF     0
#define ON      1
#define CLEAR 	0
#define SET     1

#define FOREVER 1

#define FAIL	0
#define PASS    1


#define   TOP               0
#define   LEFT              1
#define   UP                2
#define   RIGHT             3
#define   DOWN              4
#define   BOTTOM            5
#define   POSITION          6
#define AsmStop  __asm STOP;  
#define ENDCOL 34   // 
#define SMOOTHSCROOL_SPEED  30000
#define dis_base   base16
#define base10 1
#define base16 0


/************************** Function Declarations ******************************/

void LL64_demo(void);
void WaitMicroSecondsInt (unsigned int delay_us)    ;
void WaitSec (unsigned char delay_sec);
void DataToPort_LSB_First(unsigned short);
void DataToLCD (unsigned short adc_data);   
void IntToLCD (unsigned short adc_data);  
void PlaySound(unsigned int frequency);

void TPM2Cx_PWM(unsigned char CHAN, unsigned char DUTY_CYCLE, unsigned int MOD, unsigned char CLK_PS);
void StopClock(void);
void LightSense(void);
void AccelDemo(void);
void ThermostatDemo(void);
void ADCDemo(void);
void SCI_Text_Display(void);



#endif /* LL64_Demo.h */